import logging

logger = logging.getLogger(__name__)


def bool_to_yes_no(val):
    if val:
        return "YES"
    else:
        return "NO"


def flying_team_to_str(flying_team):
    result = ""
    if flying_team is not None:
        result = unicode(flying_team)
    return result


def location_to_str(location):
    result = ""
    if location is not None:
        result = unicode(location.name)
    return result


def serialize_date(date):
    if date is not None:
        result = date.strftime('%Y-%m-%d')
    else:
        result = ""
    return result


def serialize_datetime(date):
    if date is not None:
        result = date.strftime('%Y-%m-%d %H:%M')
    else:
        result = ""
    return result


def add_column(result, name, field_name, column_list, param, columns_used_in_study=None, visible_param=None,
               sortable=True, add_param=True):
    add = add_param
    if columns_used_in_study:
        add = getattr(columns_used_in_study, field_name)
    if add:
        if visible_param is not None:
            visible = visible_param
        elif column_list is None:
            visible = True
        else:
            visible = getattr(column_list, field_name)
        result.append({
            "type": field_name,
            "name": name,
            "filter": param,
            "visible": visible,
            "sortable": sortable
        })


def get_filters_for_data_table_request(request):
    filters = []
    column_id = 0
    while request.GET.get("columns[" + str(column_id) + "][search][value]", "unknown") != "unknown":
        val = request.GET.get("columns[" + str(column_id) + "][search][value]", "unknown")
        if val != "":
            filters.append([request.GET.get("columns[" + str(column_id) + "][data]"), val])
        column_id += 1
    return filters
