# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-11-30 16:07
from __future__ import unicode_literals

import django.db.models.deletion
from django.db import migrations, models


# noinspection PyUnusedLocal
# noinspection PyPep8Naming
def create_default_study(apps, schema_editor):
    # We can't import the Study model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    Study = apps.get_model("web", "Study")
    study = Study.objects.create()
    study.name = "New study"
    study.save()


class Migration(migrations.Migration):
    dependencies = [
        ('web', '0070_auto_20171128_1124'),
    ]

    operations = [
        migrations.CreateModel(
            name='Study',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name=b'Name')),
            ],
        ),
        migrations.AlterField(
            model_name='studysubject',
            name='subject',
            field=models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to='web.Subject',
                                    verbose_name=b'Subject'),
        ),
        migrations.AddField(
            model_name='studysubject',
            name='study',
            field=models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    to='web.Study', verbose_name=b'Study'),
        ),
        migrations.RunPython(create_default_study),
        migrations.AlterField(
            model_name='studysubject',
            name='study',
            field=models.ForeignKey(default=1, editable=False, on_delete=django.db.models.deletion.CASCADE, to='web.Study', verbose_name=b'Study'),
            preserve_default=False,
        ),

    ]
