# coding=utf-8
from django.db import models

from web.models import StudyColumns, StudyNotificationParameters


class Study(models.Model):
    class Meta:
        app_label = 'web'

    name = models.CharField(max_length=255, verbose_name='Name')

    columns = models.OneToOneField(
        StudyColumns,
        on_delete=models.CASCADE,
    )
    notification_parameters = models.OneToOneField(
        StudyNotificationParameters,
        on_delete=models.CASCADE,
    )

    auto_create_follow_up = models.BooleanField(
        default=True,
        verbose_name="Auto create follow up visit"
    )

    def __str__(self):
        return "%s" % self.name

    def __unicode__(self):
        return "%s" % self.name
